Bug 123624 - Daemon expects /etc/vsftpd.conf, rpm installs /etc/vsftpd/vsftpd.conf
Summary: Daemon expects /etc/vsftpd.conf, rpm installs /etc/vsftpd/vsftpd.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vsftpd   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-19 18:32 UTC by Peter Burkholder
Modified: 2014-03-17 02:45 UTC (History)
1 user (show)

Fixed In Version: 1.2.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-24 21:41:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Burkholder 2004-05-19 18:32:54 UTC
From Bugzilla Helper:
User-Agent: Opera/7.11 (Linux 2.4.20-30.8.legacy i686; U)  [en]

Description of problem:
vsftpd on start up looks for /etc/vsftpd:

$strace /usr/sbin/vsftpd
...
stat64("/etc/vsftpd.conf", 0x8001a008)  = -1 ENOENT (No such file or 
directory)
...

rpm installed /etc/vsftpd/vsftpd.conf:
$ rpm -ql vsftpd
/etc/logrotate.d/vsftpd.log
/etc/pam.d/vsftpd
/etc/rc.d/init.d/vsftpd
/etc/vsftpd
/etc/vsftpd.ftpusers
/etc/vsftpd.user_list
/etc/vsftpd/vsftpd.conf
...
 

Version-Release number of selected component (if applicable):
vsftpd-1.2.1-3 

How reproducible:
Always

Steps to Reproduce:
1.rpm --erase vsftpd
2.up2date -i vsftpd
3./usr/sbin/vsftpd # throws error
4.ln -s /etc/vsftpd/vsftpd.conf /etc/vsftpd.conf
5. /usr/sbin/vsftpd # works


Additional info:

Comment 1 Bill Nottingham 2004-05-24 21:41:02 UTC
This is fixed in FC2, and will be in future RHEL releases. The
initscript does work for invoking vsftpd.


Note You need to log in before you can comment on or make changes to this bug.